XEN-RESIZE-GUEST(8)

NAME
xen-resize-guest - Resize a loopback or LVM based xen guest.

SYNOPSIS
  xen-resize-guest [options]

  Help Options:
   --help     Show help information.
   --manual   Read the manual for this script.
   --version  Show the version information and exit.
   --verbose  Show diagnostic output.

  General Options:
   --add      Specify the amount of space to add, e.g. --add=1gb
   --dir      Specify the path to the loopback image root.
   --force    Force the resize to happen without a last-chance delay.
   --hostname Specify the hostname of the guest to resize.

OPTIONS

--add Specify the amount of storage to add to the primary disk.
--dir Specify the directory where the loopback files are based.
--force Don't pause for 10 seconds prior to commencing.
--help Show help information.
--hostname Specify the hostname to delete.
--lvm Specify the volume group to use.
--manual Read the manual for this script.
--version Show the version number and exit.

DESCRIPTION
  This tool will ease the resizing of Xen guests, whether they are based
 upon loopback files or LVM partitions.

  Whilst the process of resizing a guest is pretty simple it can be fiddly
 to do the steps correctly in the right order:

1. Shutdown the guest. 2. Unmount the volume, if it is mounted. 3. Add to the space. 4. Check the filesystem. 5. Resize the filesystem. 6. Restart the guest.

  More than once I've heard of users making mistakes and breaking their
 filesystems; hence this tool.

AUTHORS
 Steve Kemp, https://steve.fi/
 Axel Beckert, https://axel.beckert.ch/

LICENSE
Copyright (c) 2005-2009 by Steve Kemp, (c) 2010 by The Xen-Tools Development Team. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The LICENSE file contains the full text of the license.